@import url('https://fonts.googleapis.com/css2?family=Poppins:wght@200;300;400;500;600;700;800&display=swap');

*,
*::before,
*::after {
  box-sizing: border-box;
  margin: 0;
  padding: 0;
  font-family: 'Poppins', 'sans-serif';
}

:root {
  --overlay-color: #03a9f4;
}

.showcase {
  position: absolute;
  right: 0;
  width: 100%;

  min-height: 100vh;
  padding: 6.25rem;

  display: flex;
  /* flex-direction: column; */
  justify-content: space-between;
  align-items: center;
  background-color: #111;
  color: #fff;
  z-index: 2;

  transition: 0.5s;
}

.showcase.active {
  right: 18.75rem;
}

.showcase header {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  padding: 2.5rem 6.25rem;
  z-index: 1000;
  display: flex;
  align-items: center;
  justify-content: space-between;
}
.logo {
  text-transform: uppercase;
  cursor: pointer;
}

.toggle {
  position: relative;
  width: 3.75rem;
  height: 3.75rem;
  background: url('./ImagesAndVideos/menu.png');
  background-repeat: no-repeat;
  background-size: 1.875em;
  background-position: center;
  cursor: pointer;
}

.toggle.active {
  background: url('./ImagesAndVideos/close.png');
  background-repeat: no-repeat;
  background-size: 1.5625rem;
  background-position: center;
}

.showcase video {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  object-fit: cover;
  opacity: 0.8;
}

.overlay {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background: var(--overlay-color);
  mix-blend-mode: overlay;
}

.text {
  position: relative;
  z-index: 10;
}

.text h2 {
  font-size: 5em;
  font-weight: 800;
  line-height: 1em;
  text-transform: uppercase;
}

.text h3 {
  font-size: 4em;
  font-weight: 700;
  line-height: 1em;
  text-transform: uppercase;
}

.text p {
  font-size: 1.1em;
  margin: 1.25rem 0;
  font-weight: 400;
  line-height: 1em;
  max-width: 43.75rem;
}

.text a {
  display: inline-block;
  font-size: 1em;
  background: #fff;
  padding: 0.625em 1.875em;
  text-decoration: none;
  color: #111;
  margin-top: 0.625rem;
  text-transform: uppercase;
  letter-spacing: 2px;
  transition: 0.2s;
}

.text a:hover {
  letter-spacing: 6px;
}

.social {
  position: absolute;
  bottom: 1.25rem;
  z-index: 10;
  display: flex;
  justify-content: center;
}

.social li {
  list-style: none;
}

.social li a {
  display: inline-block;
  filter: invert(1);
  margin-right: 1.25rem;
  transform: scale(0.5);
  transition: 0.5s;
}

.social li a:hover {
  transform: scale(0.5) translateY(-15px);
}

.menu {
  position: absolute;
  top: 0;
  right: 0;
  width: 18.75rem;
  height: 100%;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
}

.menu ul {
  position: relative;
  list-style: none;
}

.menu ul li a {
  text-decoration: none;
  font-size: 24px;
  color: #111;
  transition: 0.3s;
}

.menu ul li a:hover {
  color: var(--overlay-color);
}

footer {
  z-index: 10000;
  display: overlay;
  /* display: inline-block; */
}

@media (max-width: 798px) {
  .showcase,
  .showcase header {
    padding: 2.5rem;
  }

  .text h2 {
    font-size: 3em;
  }

  .text h3 {
    font-size: 2em;
  }
}
